/**
 * Clase pra personalizar la salida de error, para
 * poder incluir el code de error.
 * @class
 * @extends Error
 */
export declare class MsError extends Error {
    /**
     * Numero del codigo de error
     * @public
     */
    code: number;
    /**
     * Status http
     *
     * @type {number}
     * @memberof MsError
     */
    status: number;
    /**
     * Cabeceras de respuesta
     *
     * @type {*}
     * @memberof MsError
     */
    headers: any;
    /**
     * Mensaje perzonlizado
     *
     * @type {string}
     * @memberof MsError
     */
    message: string;
    /**
     * Contructor del error.
     * @param message Mensaje de error
     * @param code Numero del codigo de error
     */
    constructor(message?: string, code?: number, status?: number, headers?: any);
}
