"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const worker_threads_1 = require("worker_threads");
const types_1 = require("./types");
/**
 * Clase para dar soporte al manejo de los hilos
 * sobre los microservicios.
 * @class
 */
class LogsThread {
    /**
     * Info
     * @param message Mensaje a publicar
     */
    info(message) {
        this.publishLog(types_1.TypeLogs.Info, message);
    }
    /**
     * Warning
     * @param message Mensaje a publicar
     */
    warning(message) {
        this.publishLog(types_1.TypeLogs.Warning, message);
    }
    /**
     * Error
     * @param message Mensaje a publicar
     */
    error(message) {
        this.publishLog(types_1.TypeLogs.Error, message);
    }
    /**
     * Log
     * @param message Mensaje a publicar
     */
    log(message) {
        this.publishLog(types_1.TypeLogs.Log, message);
    }
    publishLog(Type, Message) {
        worker_threads_1.parentPort.postMessage({
            Data: {
                Message,
                Type,
            },
            Type: types_1.TypeMessage.Logs,
        });
    }
}
exports.default = LogsThread;
